Bug 1288905 - chrony "flock: command not found" during kickstart installation
chrony "flock: command not found" during kickstart installation
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: lorax (Show other bugs)
23
Unspecified Linux
unspecified Severity low
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-06 20:22 EST by Edgar Hoch
Modified: 2016-02-11 17:55 EST (History)
6 users (show)

See Also:
Fixed In Version: lorax-24.7-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-11 17:55:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Edgar Hoch 2015-12-06 20:22:52 EST
Description of problem:

After installation of Fedora 23 using kickstart I found in /var/log/anaconda/journal.log (grep for chrony):

Dec 06 18:29:12 myhost.example.com nm-dispatcher[1650]: /usr/libexec/chrony-helper: line 139: flock: command not found
Dec 06 18:29:12 myhost.example.com nm-dispatcher[1650]: Failed to lock /var/run/chrony-helper
Dec 06 18:29:17 myhost.example.com chrony-helper[1848]: /usr/libexec/chrony-helper: line 139: flock: command not found
Dec 06 18:29:17 myhost.example.com chrony-helper[1848]: Failed to lock /var/run/chrony-helper
Dec 06 18:29:17 myhost.example.com systemd[1]: chronyd.service: Control process exited, code=exited status=1
Dec 06 18:29:17 myhost.example.com systemd[1]: chronyd.service: Unit entered failed state.
Dec 06 18:29:17 myhost.example.com systemd[1]: chronyd.service: Failed with result 'exit-code'.
Dec 06 18:29:17 myhost.example.com audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=chronyd comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=failed'
Dec 06 19:09:25 myhost.example.com systemd[1]: chronyd.service: Control process exited, code=exited status=1
Dec 06 19:09:25 myhost.example.com chrony-helper[1960]: /usr/libexec/chrony-helper: line 139: flock: command not found
Dec 06 19:09:25 myhost.example.com chrony-helper[1960]: Failed to lock /var/run/chrony-helper
Dec 06 19:09:25 myhost.example.com systemd[1]: chronyd.service: Unit entered failed state.
Dec 06 19:09:25 myhost.example.com audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=chronyd comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=failed'
Dec 06 19:09:25 myhost.example.com systemd[1]: chronyd.service: Failed with result 'exit-code'.


"flock" is provided by package util-linux.

/var/log/anaconda/dnf.rpm.log tells me that util-linux was installed before chrony:

Dez 06 20:25:03 INFO Installed: util-linux-2.27.1-2.fc23.x86_64
Dez 06 20:25:03 INFO Installed: util-linux-2.27.1-2.fc23.x86_64
...
Dez 06 20:28:13 INFO Installed: chrony-2.1.1-1.fc23.x86_64
Dez 06 20:28:13 INFO Installed: chrony-2.1.1-1.fc23.x86_64


It seems that chronyd.service is started during kickstart installation - just after the package is installed. Is this right? Is this neccessary and useful???

I am not sure what has started chrony, and why flock isn't found.


The logs tell me that the time of the system jumps forward and backward by serveral hours (2 / 10 / 12 hours!) during kickstart installation. This is really curious and surprising for me. I had some time shift of about 2 hours sometimes on previous fedora versions, but not this big time jumps.

I am unsure, but may it be that these time jumps are initiated by the multiple starts of chrony?


Version-Release number of selected component (if applicable):
chrony-2.1.1-1.fc23.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Create a kickstart file which includes the package chrony (either direct or through a package group).
2. Install Fedora 23 using kickstart.
3. Check /var/log/anaconda/journal.log

Actual results:
See above.

Expected results:
Chrony should run without error.
Comment 1 Miroslav Lichvar 2015-12-07 02:10:23 EST
The chrony helper is probably called to add NTP servers from DHCP from the dhclient NetworkManager dispatcher. It uses flock to lock its working directory. But I'm not sure how could util-linux be missing. Let's see if anaconda maintainers have any suggestions.
Comment 2 Brian Lane 2015-12-07 18:07:00 EST
Patch didn't make it over from rhel7-branch, it will be fixed in the next build.

Note You need to log in before you can comment on or make changes to this bug.